> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryhamsa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Usage Statistics Chart



## OpenAPI

````yaml /api-reference/openapi.json get /v1/projects/statistics/chart
openapi: 3.0.1
info:
  title: Hamsa API
  description: Trying out our transcription and media-to-text APIs
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.tryhamsa.com
security: []
paths:
  /v1/projects/statistics/chart:
    get:
      summary: Get project statistics chart data
      parameters:
        - name: startPeriod
          in: query
          schema:
            type: string
            format: date-time
          required: true
        - name: endPeriod
          in: query
          schema:
            type: string
            format: date-time
          required: true
        - name: projectId
          in: query
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChartResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ChartResponse:
      type: object
      properties:
        success:
          type: boolean
          default: false
        message:
          type: string
          default: success
        data:
          $ref: '#/components/schemas/ChartData'
    ErrorSchema:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
    ChartData:
      type: object
      properties:
        cost:
          type: array
          items:
            $ref: '#/components/schemas/ChartDataItem'
        requests:
          type: array
          items:
            $ref: '#/components/schemas/ChartDataItem'
        transcription:
          type: array
          items:
            $ref: '#/components/schemas/ChartDataItem'
        tokens:
          type: array
          items:
            $ref: '#/components/schemas/ChartDataItem'
    ChartDataItem:
      type: object
      properties:
        date:
          type: string
          format: date-time
        value:
          type: number
        unit:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Pass the API key in the Authorization header, You need to put Token
        keyword before the API key. e.g. 'Authorization: Token <api-key>'

````